Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds.util
Class StatusAttributes

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.util.StatusAttributes

public class StatusAttributes
extends Object

A collection of attribute values for a `<status>` element.

Method Summary
`static StatusAttributes` | `factory(StatusLevel level, StatusType type, String id)` Constructs a new StatusAttributes instance.
`String` | `getEventID()` Gets this objects event-id attribute value.
`StatusLevel` | `getLevel()` Gets this objects status level attribute value.
`StatusType` | `getType()` Gets this objects status type attribute value.
`void` | `setEventID(String someID)` Sets this objects event-id attribute value.
`void` | `setLevel(StatusLevel someLevel)` Sets this objects status level attribute value.
`void` | `setType(StatusType someType)` Sets this objects status type attribute value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### factory

    public static StatusAttributes factory(StatusLevel level,
                                           StatusType type,
                                           String id)

  Constructs a new StatusAttributes instance.

  Parameters:
    `level` - level attribute value; may be `null`
    `type` - attribute value; may be `null`
    `id` - event-id attribute value; may be `null`
  Returns:
    will not return `null`

### setLevel

    public void setLevel(StatusLevel someLevel)

  Sets this objects status level attribute value.

  Parameters:
    `someLevel` - the status level value; may be `null`

### setType

    public void setType(StatusType someType)

  Sets this objects status type attribute value.

  Parameters:
    `someType` - the status type value; may be `null`

### setEventID

    public void setEventID(String someID)

  Sets this objects event-id attribute value.

  Parameters:
    `someID` - the event-id value; may be `null`

### getLevel

    public StatusLevel getLevel()

  Gets this objects status level attribute value.

  Returns:
    may return `null`

### getType

    public StatusType getType()

  Gets this objects status type attribute value.

  Returns:
    may return `null`

### getEventID

    public String getEventID()

  Gets this objects event-id attribute value.

  Returns:
    may return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD